--[[gameLevelTable.lua
--]]

--type:0=从敌方原点开始播放；1=从自身原点开始播放；2=从自身原点开始播放并位移到敌方原点；3=以屏幕中心为原点全屏播放; 4=以主角原点播放（用于道具）
effectTable=
{
	{
		skillId = 10000.0,----------- 技能ID
		hurtTime = {
				{
				time = 0.2,-----------受伤时间点
				play = false,---------震动效果
				},
			},
		action = {
			{
				name = "csxz",------特效文件名
				type = 0,----------参照物类型
				offsetX = -5.0,--------以参照物中心为原点的X轴
				offsetY = 70.0,---------以参照物中心为原点的Y轴
				flipX = true,-----------按照X轴反转特效
				flipY = false,----------按照Y轴反转特效
				delayPlay = 0.2,--------由动作播放开始做为时间轴0点到特效播发的时间。
				scale = 1.5,----------特效大小
				speed = 0.03, -- 播放时帧与帧的时间间隔
				loop = 0; -- -1-循环播放 其它-播放次数
				sumTime = -1; -- 循环播放总时间，-1表示无时间限制
				atGridPlay = false, --这个用来控制效果坐标（程序加的，策划并不了解，也没有用到过。）
				atGridLayer = false, --特效在参照物上层播放或者下层播放。
				speedUp = true, --是否可以加速（程序为控制特效所加，策划并不了解，也没有用到过。）
				sound = "cspt.mp3",---播放这个特效时发出的声音。
			},{
				name = "csxz",
				type = 0,
				offsetX = -25.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 0,
				speed = 0.03, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false, --这个用来控制效果坐标
				atGridLayer = false, --这个用来控制效果层次关系
				speedUp = true, --是否可以加速
				sound = "csjz.mp3",
			},
		}
	},
	{
		skillId = 20000.0, --------------- 原始技能
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},
			},
		action = {
			{
				name = "yuanshidazhao",
				type = 0,
				offsetX = 0.0,
				offsetY = -50.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 2,
				speed = 0.03, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "csdz.mp3",
			},
		}
	},	{
		skillId = 10001.0,----------- 火·普通攻击
		hurtTime = {
				{
				time = 0.2,
				play = false,
				},
			},
		action = {
			{
				name = "huosj",
				type = 0,
				offsetX = 0.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 0,
				speed = 0.02, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "cspt.mp3",
			},{
				name = "huosj",
				type = 0,
				offsetX = 0.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 3,
				speed = 0.03, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "LS_pt.mp3",
			},
		}
	},
	{
		skillId = 20001.0, ---------------火龙术
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},
			},
		action = {
		{
				name = "huodazhao",
				type = 0,
				offsetX = 10.0,
				offsetY = 130.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 1.5,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "LS_skill.mp3",
			},
		}
	},
	{
		skillId = 10002.0, ---------------暗·普通攻击
		hurtTime = {
				{
				time = 0.2,
				play = false,
				},
			},
		action = {
			{
				name = "ZJ_anxiaozhao",
				type = 0,
				offsetX = 0.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "cspt.mp3",
			},{
				name = "ZJ_anxiaozhao",
				type = 0,
				offsetX = 0.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 3,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "ansj.mp3",
			},
		}
	},
	{
		skillId = 20002.0,-------------- 黑暗术
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},{
				time = 0.3,
				play = false,
				},{
				time = 0.3,
				play = false,
				},
			},
		action = {
			{
				name = "andazhao",
				type = 3,
				offsetX = 50.0,
				offsetY = 75.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 3,
				speed = 0.04, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "andz.mp3",
			},
		},
	},
	{
		skillId = 10003.0, --------------冰·普通攻击
		hurtTime = {
				{
				time = 0.2,
				play = false,
				},
			},
		action = {
		{
				name = "bingbao",
				type = 0,
				offsetX = 0.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "cspt.mp3",
			},{
				name = "bingbao",
				type = 0,
				offsetX = 0.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 3,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "bingpt.mp3",
			},
		}
	},
	{
		skillId = 20003.0,--------------冰封术
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},{
				time = 0.35,
				play = false,
				},
			},
		action = {
			{
				name = "bingdazhao",
				type = 0,
				offsetX = 30.0,
				offsetY = -21.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale =0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "bingdz.mp3",
			},{
				name = "bingdazhao",
				type = 0,
				offsetX = 30.0,
				offsetY = -21.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.35,
				scale = 2,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "",
			},
		},
	},
	{
		skillId = 10004.0, -------------雷·普通攻击
		hurtTime = {
				{
				time = 0.2,
				play = false,
				},
			},
		action = {
			{
				name = "lsj",
				type = 0,
				offsetX = 00.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 0,
				speed = 0.01, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "cspt.mp3",
			},{
				name = "lsj",
				type = 0,
				offsetX = -20.0,
				offsetY = 70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 4,
				speed = 0.01, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "lsj.mp3",
			},
		}
	},{
		skillId = 20004.0,--------------雷击术
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},{
				time = 0.35,
				play = false,
				},
			},
		action = {
			{
				name = "leidazhao",
				type = 0,
				offsetX = 1.0,
				offsetY = 100.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 0,
				speed = 0.04, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "ldz.mp3",
			},{
				name = "leidazhao",
				type = 0,
				offsetX = 1.0,
				offsetY = 60.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.35,
				scale = 2,
				speed = 0.04, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "",
			},
		},
	},
	{
		skillId = 10005.0, ------------- 青蛙 的普通攻击
		hurtTime = {
				{
				time = 0.2,
				play = false,
				},
			},
		action = {
			{
				name = "qwsj",
				type = 2,
				offsetX = 40.0,
				offsetY = -120.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "QW_pt.mp3",
			},
		}
	},
	{
		skillId = 20005.0, -------------青蛙 的技能攻击
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},
				{
				time = 0.4,
				play = false,
				},
				{
				time = 0.5,
				play = false,
				},
				{
				time = 0.6,
				play = false,
				},
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "qwsj",
				type = 2,
				offsetX = -10.0,
				offsetY = -20.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 3.0,
				speed = 0.01, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "QW_skill.mp3",
			},
			{
				name = "qwsj",
				type = 2,
				offsetX = -10.0,
				offsetY = -20.0,
				flipX = false,
				flipY = false,
				delayPlay = 0.4,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "qwsj",
				type = 2,
				offsetX = -10.0,
				offsetY = -20.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "qwsj",
				type = 2,
				offsetX = -10.0,
				offsetY = -20.0,
				flipX = false,
				flipY = false,
				delayPlay = 0.6,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "qwsj",
				type = 2,
				offsetX = -10.0,
				offsetY = -20.0,
				flipX = false,
				flipY = false,
				delayPlay = 0.8,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10006.0, -------------老鼠 的普通攻击
		hurtTime = {
				{
				time = 0.5,
				play = false,
				},
			},
		action = {
			{
				name = "boom",
				type = 2,
				offsetX = 0,
				offsetY =-100.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 2,
				speed = 0.02, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "LS_pt.mp3",
			},
			{
				name = "boom",
				type = 0,
				offsetX = 0,
				offsetY =-60.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.0,
				scale = 2,
				speed = 0.02, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "LS_pt.mp3",
			},
		}
	},
	{
		skillId = 20006.0, ------------- 老鼠 的技能攻击
		hurtTime = {
				{
				time = 0.7,
				play = false,
				},
				{
				time = 0.8,
				play = false,
				},
				{
				time = 0.9,
				play = false,
				},
			},
		action = {
			{
				name = "xuanzhuanhuo",
				type = 1,
				offsetX = 30.0,
				offsetY = 90.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 2,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "LS_skill.mp3",
			},
			{
				name = "luohuo",
				type = 0,
				offsetX = -10,
				offsetY = -90,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 3,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10007.0, -------------兔子 的普通攻击
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},
			},
		action = {
			{
				name = "szsj",
				type = 2,
				offsetX = 0,
				offsetY = -120,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 3,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = false, --是否可以加速
				sound = "TZ_pt.mp3",
			},
		}
	},
	{
		skillId = 20007.0, -------------兔子 的技能攻击（正式版）
		hurtTime = {
				{
				time = 1.5,
				play = false,
				},
			},
		action = {
			{
				name = "hac",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 3.0,
				speed = 0.03, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = 1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "TZ_skill.mp3",
			},
			{
				name = "stunbuff",
				type = 0,
				offsetX = -10.0,
				offsetY = 80.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.5,
				scale = 1.5,
				speed = 0.1, -- 帧与帧的时间间隔
				loop = -1; -- -1-无限循环 其它-重复次数
				sumTime = 4; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10008.0, ------------- 黑暗精灵 的普通攻击
		hurtTime = {
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "jlsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.8,
				scale = 0.0,
				speed = 0.1, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "JL_pt.mp3",
			},{
				name = "jlsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.8,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20008.0, -------------黑暗精灵 的技能攻击
		hurtTime = {
				{
				time = 1.3,
				play = true,
				},
			},
		action = {
			{
				name = "jlsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "JL_skill.mp3",
			},
			{
				name = "jlsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "posionbuff",
				type = 0,
				offsetX = -5.0,
				offsetY = 60.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.3,
				scale = 3.0,
				speed = 0.1, -- 帧与帧的时间间隔
				loop = -1; -- -1-无限循环 其它-重复次数
				sumTime = 4; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10009.0, ------------- 骷髅 的普通攻击
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},{
				time = 0.4,
				play = false,
				},
			},
		action = {
			{
				name = "klsj",
				type = 2,
				offsetX = 0,
				offsetY = 0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 2,
				speed = 0.01, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "klsj",
				type = 0,
				offsetX = -10,
				offsetY = -90,
				flipX = true,
				flipY = false,
				delayPlay = 0.6,
				scale = 2,
				speed = 0.01, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20009.0, -------------骷髅 的技能攻击
		hurtTime = {
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 1,
				offsetX = 0,
				offsetY = 0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "KL_skill.mp3",
			},
			{
				name = "klskillsj",
				type = 2,
				offsetX = 0,
				offsetY = 0,
				flipX = true,
				flipY = false,
				delayPlay = 0.8,
				scale = 4,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10010.0, ------------- 仙人掌 的普通攻击
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},{
				time = 0.6,
				play = false,
				},
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = -0.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "XRZ_pt.mp3",
			},
			{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = -0.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = -0.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.4,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "xgsj",
				type = 0,
				offsetX = -0.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.6,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20010.0, ------------- 仙人掌 的技能攻击
		hurtTime = {
				{
				time = 0.2,
				play = false,
				},{
				time = 0.4,
				play = false,
				},{
				time = 0.6,
				play = false,
				},{
				time = 0.8,
				play = false,
				},{
				time = 1,
				play = false,
				},{
				time = 1.2,
				play = false,
				},{
				time = 1.4,
				play = false,
				},
			},
		action = {
			{
				name = "xgsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "XRZ_skill.mp3",
			},{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.15,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.45,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.6,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.75,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.9,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "xgsj",
				type = 2,
				offsetX = -0.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.05,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10011.0, ------------- 木乃伊 的普通攻击
		hurtTime = {
				{
				time = 0.5,
				play = false,
				},
			},
		action = {
			{
				name = "jssj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "JS_pt.mp3",
			},
			{
				name = "jssj",
				type = 2,
				offsetX = .0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 4,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20011.0, -------------木乃伊 的技能攻击
		hurtTime = {
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "jssj1",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.7,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "JS_skill.mp3",
			},
			{
				name = "jssj1",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.7,
				scale = 4,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "stunbuff",
				type = 0,
				offsetX = -10.0,
				offsetY = 80.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.8,
				scale = 1.5,
				speed = 0.1, -- 帧与帧的时间间隔
				loop = -1; -- -1-无限循环 其它-重复次数
				sumTime = 2; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10012.0, ------------- 法老 的普通攻击
		hurtTime = {
				{
				time =0.6,
				play = false,
				},
			},
		action = {
			{
				name = "flsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "FL_pt.mp3",
			},{
				name = "flsj",
				type = 0,
				offsetX = 1.0,
				offsetY = -61.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.6,
				scale = 2.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20012.0, -------------法老 的技能攻击
		hurtTime = {
				{
				time = 0.6,
				play = true,
				},
				{
				time = 0.8,
				play = false,
				},{
				time = 0.9,
				play = false,
				},

			},
		action = {
			{
				name = "flsj",
				type = 2,
				offsetX = 1.0,
				offsetY = -51.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.6,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "FL_skill.mp3",
			},
			{
				name = "posionbuff",
				type = 0,
				offsetX = -5.0,
				offsetY = 60.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.3,
				scale = 3.0,
				speed = 0.07, -- 帧与帧的时间间隔
				loop = -1; -- -1-无限循环 其它-重复次数
				sumTime = 6; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10013.0, ------------- 树桩怪 的普通攻击
		hurtTime = {
				{
				time = 0.5,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = -15.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "XSZ_pt.mp3",
			},
		}
	},
	{
		skillId = 20013.0, -------------树桩怪 的技能攻击
		hurtTime = {
				{
				time = 1.2,
				play = false,
				},				{
				time = 1.4,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = -25.0,
				offsetY = -50.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.2,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "XSZ_skill.mp3",
			},
			{
				name = "klskillsj",
				type = 2,
				offsetX = -25.0,
				offsetY = -50.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.2,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "klskillsj",
				type = 2,
				offsetX = -25.0,
				offsetY = -50.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.2,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10014.0, ------------- 沙怪 的普通攻击
		hurtTime = {
				{
				time = 0.4,
				play = false,
				},
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "SG_pt.mp3",
			},
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.4,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20014.0, -------------沙怪 的技能攻击
		hurtTime = {
				{
				time = 1.6,
				play = false,
				},{
				time = 1.8,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.6,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10015.0, ------------- 兽人 的普通攻击
		hurtTime = {
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = -51.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.8,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20015.0, -------------兽人 的技能攻击
		hurtTime = {
				{
				time = 0.7,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = -61.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.7,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10016.0, -------------石头 的普通攻击
		hurtTime = {
				{
				time = 0.2,
				play = false,
				},{
				time = 0.5,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 0,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "ST_pt.mp3",
			},
			{
				name = "klskillsj",
				type = 0,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.2,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "klskillsj",
				type = 0,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},

		}
	},
	{
		skillId = 20016.0, -------------石头人 的技能攻击
		hurtTime = {
				{
				time = 1.5,
				play = false,
				},	{
				time = 1.8,
				play = false,
				},	{
				time = 2,
				play = false,
				},	{
				time = 2.6,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 2.4,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 2.4,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 2.4,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "stunbuff",
				type = 0,
				offsetX = -10.0,
				offsetY = 80.0,
				flipX = true,
				flipY = false,
				delayPlay = 2.6,
				scale = 1.5,
				speed = 0.1, -- 帧与帧的时间间隔
				loop = -1; -- -1-无限循环 其它-重复次数
				sumTime = 4; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10017.0, -------------雪人 的普通攻击
		hurtTime = {
				{
				time = 0.5,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "XG_pt.mp3",
			},
		}
	},
	{
		skillId = 20017.0, -------------雪人 的技能攻击
		hurtTime = {
				{
				time = 1,
				play = false,
				},{
				time = 1.2,
				play = false,
				},
			},
		action = {
			{
				name = "klskillsj",
				type = 2,
				offsetX = -30.0,
				offsetY = 80.0,
				flipX = true,
				flipY = false,
				delayPlay = 1,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "XG_skill.mp3",
			},
			{
				name = "xgsj",
				type = 0,
				offsetX = 5.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.3,
				scale = 2.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10018.0, -------------冰怪 的普通攻击
		hurtTime = {
				{
				time = 0.7,
				play = false,
				},
			},
		action = {
			{
				name = "bgsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.3,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = true, --是否可以加速
				sound = "BG_pt1.mp3",
			},{
				name = "bgsj",
				type = 0,
				offsetX = 1.0,
				offsetY = -61.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.7,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",

			},
		}
	},
	{
		skillId = 20018.0, -------------冰怪 的技能攻击
		hurtTime = {
				{
				time = 0.7,
				play = false,
				},{
				time = 0.8,
				play = false,
				},
			},
		action = {
			{
				name = "bgsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.6,
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "BG_skill.mp3",
			},
			{
				name = "bgsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.6,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
			{
				name = "bgsj",
				type = 0,
				offsetX = 1.0,
				offsetY = -51.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.8,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10019.0, -------------雪猿 的普通攻击
		hurtTime = {
				{
				time = 0.4,
				play = false,
				},
			},
		action = {
			{
				name = "bysj",
				type = 2,
				offsetX = 1.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.4,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "BY_pt.mp3",
			},
		}
	},
	{
		skillId = 20019.0, -------------雪猿 的技能攻击
		hurtTime = {
				{
				time = 0.5,
				play = false,
				},{
				time = 0.9,
				play = false,
				},{
				time = 1.4,
				play = false,
				},
			},
		action = {
			{
				name = "bysj",
				type = 2,
				offsetX = 1.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 5.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "BY_skill.mp3",
			},{
				name = "bysj",
				type = 2,
				offsetX = 1.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.9,
				scale = 5.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},{
				name = "bysj",
				type = 2,
				offsetX = 1.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.4,
				scale = 5.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 10020.0, -------------雪域之王 的普通攻击
		hurtTime = {
				{
				time = 0.5,
				play = false,
				},
			},
		action = {
			{
				name = "xwsj",
				type = 2,
				offsetX = 1.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "xw_skill1.mp3",
			},
		}
	},
	{
		skillId = 20020.0, -------------雪域之王 的技能攻击
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},{
				time = 1.4,
				play = true,
				},{
				time = 1.5,
				play = false,
				},
			},
		action = {
			{
				name = "bysj",
				type = 2,
				offsetX = 1.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.4,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "XW_skill.mp3",
			},{
				name = "xwsj",
				type = 2,
				offsetX = 1.0,
				offsetY = -90.0,
				flipX = true,
				flipY = false,
				delayPlay = 1.4,
				scale = 4.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "XW_skill1.mp3",
			},
		}
	},
	{
		skillId = 10021.0, ------------- 沙漠法师 的普通攻击
		hurtTime = {
				{
				time = 0.8,
				play = false,
				},
			},
		action = {
		{
				name = "jlsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.5,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 20021.0, -------------沙漠法师 的技能攻击
		hurtTime = {
				{
				time = 0.8,	 -- 主角受伤延迟时间
				play = false,
				},
			},
		action = {
			{
				name = "jlsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0, -- 攻击特效延时播放时间
				scale = 0.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "JL_skill.mp3",
			},
			{
				name = "jlsj",
				type = 2,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0, -- 攻击特效延时播放时间
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = true,
				speedUp = true, --是否可以加速
				sound = "",
			},
		}
	},
	{
		skillId = 30036.0, ------------- 矮人的炸弹
		hurtTime = {
				{
				time = 0.1,
				play = false,
				},
			},
		action = {
			{
				name = "boom",
				type = 0,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "a.mp3",
			},
		}
	},
	{
		skillId = 30037.0, ------------- 精灵的弓箭雨
		hurtTime = {
				{
				time = 0.3,
				play = false,
				},
			},
		action = {
			{
				name = "icearrow",
				type = 0,
				offsetX = 60.0,
				offsetY = 60.0,
				flipX = false,
				flipY = false,
				delayPlay = 0.0,
				scale = 1.5,
				speed = 0.08, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "a.mp3",
			},
		}
	},
	{
		skillId = 30038.0, ------------- 邪恶炸弹
		hurtTime = {
				{
				time = 0.1,
				play = false,
				},
			},
		action = {
			{
				name = "boom2",
				type = 0,
				offsetX = 1.0,
				offsetY = 1.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 3.0,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = 0; -- -1-无限循环 其它-重复次数
				sumTime = -1; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = true,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "a.mp3",
			},
		}
	},
	--{
	--	skillId = 30039.0, ------------- 禁锢
	--	hurtTime = {
	--			{
	--			time = 0.1,
	--			play = false,
	--			},
	--		},
	--	action = {
	--		{
	--			name = "hudun1",
	--			type = 0,
	--			offsetX = 1.0,
	--			offsetY = 1.0,
	--			flipX = true,
	--			flipY = false,
	--			delayPlay = 0.0,
	--			scale = 2.0,
	--			speed = 0.05, -- 帧与帧的时间间隔
	--			loop = -1; -- -1-无限循环 其它-重复次数
	--			sumTime = 4; -- 无限循环时的播放总时间，-1表示无时间限制
	--			atGridPlay = false,
	--			atGridLayer = false,
	--			speedUp = false, --是否可以加速
	--			sound = "a.mp3",
	--		},
	--	}
	--},
	{
		skillId = 30040.0, ------------- 无敌护盾
		hurtTime = {
				{
				time = -1,-----------表示无伤害
				play = false,
				},
			},
		action = {
			{
				name = "fhz",
				type = 4,
				offsetX = 1.0,
				offsetY = -70.0,
				flipX = true,
				flipY = false,
				delayPlay = 0.0,
				scale = 1.7,
				speed = 0.05, -- 帧与帧的时间间隔
				loop = -1; -- -1-无限循环 其它-重复次数
				sumTime = 4; -- 无限循环时的播放总时间，-1表示无时间限制
				atGridPlay = false,
				atGridLayer = false,
				speedUp = false, --是否可以加速
				sound = "a.mp3",
			},
		}
	}
}
